- API reference
- Partner APIs
POST
Request merchant credentials
https://api.kustom.co/accountmanagement/v1/merchants/{merchantId}/credentials-request
Generates new API credentials (username and password) for the specified merchant.
Parameters
200
401
404
Example
3 fields
Parameters1 field
The unique Kustom merchant identifier.
No field here matches the current filters.
200
Response2 fieldsCredentials successfully generated.
The API username for the merchant.
The API password for the merchant.
No field here matches the current filters.
401
Response0 fieldsUnauthorized — missing or invalid access token.
No response body — this status returns headers only.
No field here matches the current filters.
404
Response0 fieldsMerchant not found.
No response body — this status returns headers only.
No field here matches the current filters.
This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.